server {
    listen 80;
    listen 443 ssl;
    server_name ${MINIO_DOMAIN};
    client_max_body_size 2g;
    ssl_certificate /etc/nginx/t-aaron.com.pem;
    ssl_certificate_key /etc/nginx/t-aaron.com.key;
    ssl_session_timeout 5m;
    ssl_ciphers ECDHE-RSA-AES128-GCM-SHA256:ECDHE:ECDH:AES:HIGH:!NULL:!aNULL:!MD5:!ADH:!RC4;
    ssl_protocols TLSv1.1 TLSv1.2 TLSv1.3;
    ssl_prefer_server_ciphers on;

    location / {
        proxy_set_header Host $http_host;
        proxy_set_header  X-Real-IP    $remote_addr;
        proxy_set_header  X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://${MINIO_NAME}:9000;
    }

    location /ta-tech-image/DJIimage {
        add_header Content-Disposition 'attachment; filename="$arg_filename"';
        add_header x-oss-force-download 'true';
        proxy_set_header Host $http_host;
        proxy_set_header  X-Real-IP    $remote_addr;
        proxy_set_header  X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_pass http://${MINIO_NAME}:9000;
    }


}                                                                                                                                                                                                                                                 
